/* 
   $VER: Weave.rexx 1.0 04-14-95  1995 by Neil Taneja.
   Waits for pictures and then calls Weave.
   Deletes the pitures after each conversion.
*/

AddLib("rexxsupport.library", 0, -30, 0)
Address Command

Parse Arg InBase OutBase Frame
If InBase = '' Then Do
	Say 'Usage: Weave InBaseName [OutBaseName] [StartFrame]'
	Exit
	End
If (OutBase = '') | (OutBase = InBase) Then OutBase = InBase || ''	/* Check for No Name or Same Name and add a  (Alt 8) */
If Frame = '' Then Do
	Frame = 0	/* 0 because CalcName will advance it to 2 */
	End
Else Do
	If (Frame // 2) ~= 0 Then Do
		Say 'StartFrame number must be even'
		Exit
		End
	Frame = Frame - 2
	End

Signal ON BREAK_C

Call CalcName


Do FOREVER
	Say 'Waiting For' EvenName '   ' Min || ':' || Sec || '0'
	'Echo "*EM*EM"'		/* Jump up 2 lines. One for both the Say + Echo. Echo is resident under 2.0 so no disk access */
	Sec = Sec + 1
	If Sec = 6 Then Do
		Sec = 0
		Min = Min + 1
		End
	If ~Open(Temp, EvenName, 'R') Then Do
		Call Delay(500)	/* 10 Seconds */
		Iterate
		End
	Call Close(Temp)
	Say; Say 'Converting' EvenName
	Weave OddName EvenName OutName
	Delete OddName EvenName
	Call CalcName
	End


CalcName:
	Frame = Frame + 2
	OddName = InBase Frame - 1
	OddName = Space(OddName, 3 - Length(Frame - 1), '0')	/* Put in Name001 (Name010, Name100, etc.) format */
	EvenName = InBase Frame
	EvenName = Space(EvenName, 3 - Length(Frame), '0')
	OutName = OutBase Frame / 2
	OutName = Space(OutName, 3 - Length(Frame / 2), '0')
	Min = 0
	Sec = 0
	Return


BREAK_C:
	Say; Say '***Break***'; Say
	Exit
